Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class AbstractBlockingResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler

All Implemented Interfaces:
  org.kie.internal.task.service.ResponseHandler

Direct Known Subclasses:
  BlockingAddAttachmentResponseHandler, BlockingAddCommentResponseHandler, BlockingAddTaskResponseHandler, BlockingAddTaskResponseHandler, BlockingDeleteAttachmentResponseHandler, BlockingDeleteCommentResponseHandler, BlockingEventResponseHandler, BlockingEventResponseHandler, BlockingGetContentResponseHandler, BlockingGetIdsResponseHandler, BlockingGetTaskResponseHandler, BlockingGetTaskResponseHandler, BlockingQueryGenericResponseHandler, BlockingSetContentResponseHandler, BlockingTaskOperationResponseHandler, BlockingTaskSummaryResponseHandler

    public abstract class AbstractBlockingResponseHandler

extends AbstractBaseResponseHandler

Constructor Summary
`AbstractBlockingResponseHandler()`

Method Summary
`boolean` | `waitTillDone(long time)` This method will wait the specified amount of time in milliseconds for the response to be completed.

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBlockingResponseHandler

    public AbstractBlockingResponseHandler()

Method Detail

### waitTillDone

    public boolean waitTillDone(long time)

  This method will wait the specified amount of time in milliseconds for the response to be completed. Completed is determined via the done. Returns true if the reponse was completed in time, false otherwise. If an error occurs, this method will throw a subclass of `RuntimeException` specific to the error.

  Parameters:
    `time` - max time to wait
  Returns:
    true if response is available, false otherwise
  See Also:
    `PermissionDeniedException`, `CannotAddTaskException`, `PersistenceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.